Show / Hide Table of Contents

# Class IpcTypeMismatchError

This exception is thrown when an IPC method is checked out, but the type does not match what was previously registered.

##### Inheritance

System.Object
System.Exception
IpcError
IpcTypeMismatchError

##### Implements

System.Runtime.Serialization.ISerializable

##### Inherited Members

System.Exception.GetBaseException()
System.Exception.GetObjectData(System.Runtime.Serialization.SerializationInfo, System.Runtime.Serialization.StreamingContext)
System.Exception.GetType()
System.Exception.ToString()
System.Exception.Data
System.Exception.HelpLink
System.Exception.HResult
System.Exception.InnerException
System.Exception.Message
System.Exception.Source
System.Exception.StackTrace
System.Exception.TargetSite
System.Exception.SerializeObjectState
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: Dalamud.Plugin.Ipc.Exceptions

###### Assembly: Dalamud.dll

##### Syntax

    public class IpcTypeMismatchError : IpcError, ISerializable

### Constructors

| Improve this Doc View Source

#### IpcTypeMismatchError(String, Type, Type, Exception)

Initializes a new instance of the IpcTypeMismatchError class.

##### Declaration

    public IpcTypeMismatchError(string name, Type requestedType, Type actualType, Exception ex)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | name | Name of the IPC method.
System.Type | requestedType | The before type.
System.Type | actualType | The after type.
System.Exception | ex | The exception that is the cause of the current exception.

### Implements

System.Runtime.Serialization.ISerializable